ChangeSet 1.1581, 2004/02/20 10:25:25-08:00, greg@kroah.com

[PATCH] PCI Hotplug: fix build warnings on 64 bit processors


 drivers/pci/hotplug/cpqphp_sysfs.c |    4 ++--
 drivers/pci/hotplug/pciehp_sysfs.c |    4 ++--
 drivers/pci/hotplug/shpchp_sysfs.c |    4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)


diff -Nru a/drivers/pci/hotplug/cpqphp_sysfs.c b/drivers/pci/hotplug/cpqphp_sysfs.c
--- a/drivers/pci/hotplug/cpqphp_sysfs.c	Fri Feb 20 10:44:17 2004
+++ b/drivers/pci/hotplug/cpqphp_sysfs.c	Fri Feb 20 10:44:17 2004
@@ -38,7 +38,7 @@
 
 /* A few routines that create sysfs entries for the hot plug controller */
 
-static int show_ctrl (struct device *dev, char *buf)
+static ssize_t show_ctrl (struct device *dev, char *buf)
 {
 	struct pci_dev *pci_dev;
 	struct controller *ctrl;
@@ -82,7 +82,7 @@
 }
 static DEVICE_ATTR (ctrl, S_IRUGO, show_ctrl, NULL);
 
-static int show_dev (struct device *dev, char *buf)
+static ssize_t show_dev (struct device *dev, char *buf)
 {
 	struct pci_dev *pci_dev;
 	struct controller *ctrl;
diff -Nru a/drivers/pci/hotplug/pciehp_sysfs.c b/drivers/pci/hotplug/pciehp_sysfs.c
--- a/drivers/pci/hotplug/pciehp_sysfs.c	Fri Feb 20 10:44:17 2004
+++ b/drivers/pci/hotplug/pciehp_sysfs.c	Fri Feb 20 10:44:17 2004
@@ -38,7 +38,7 @@
 
 /* A few routines that create sysfs entries for the hot plug controller */
 
-static int show_ctrl (struct device *dev, char *buf)
+static ssize_t show_ctrl (struct device *dev, char *buf)
 {
 	struct pci_dev *pci_dev;
 	struct controller *ctrl;
@@ -82,7 +82,7 @@
 }
 static DEVICE_ATTR (ctrl, S_IRUGO, show_ctrl, NULL);
 
-static int show_dev (struct device *dev, char *buf)
+static ssize_t show_dev (struct device *dev, char *buf)
 {
 	struct pci_dev *pci_dev;
 	struct controller *ctrl;
diff -Nru a/drivers/pci/hotplug/shpchp_sysfs.c b/drivers/pci/hotplug/shpchp_sysfs.c
--- a/drivers/pci/hotplug/shpchp_sysfs.c	Fri Feb 20 10:44:17 2004
+++ b/drivers/pci/hotplug/shpchp_sysfs.c	Fri Feb 20 10:44:17 2004
@@ -38,7 +38,7 @@
 
 /* A few routines that create sysfs entries for the hot plug controller */
 
-static int show_ctrl (struct device *dev, char *buf)
+static ssize_t show_ctrl (struct device *dev, char *buf)
 {
 	struct pci_dev *pci_dev;
 	struct controller *ctrl;
@@ -82,7 +82,7 @@
 }
 static DEVICE_ATTR (ctrl, S_IRUGO, show_ctrl, NULL);
 
-static int show_dev (struct device *dev, char *buf)
+static ssize_t show_dev (struct device *dev, char *buf)
 {
 	struct pci_dev *pci_dev;
 	struct controller *ctrl;
